Experiment Metrics
/api/v1/envs/{envId}/experiment-metrics
Authorization
AccessToken Authorization<token>
Use access token to access this API. Example: "Authorization: api-MzQ..."
In: header
Path Parameters
envId*string
Format
uuidQuery Parameters
SearchText?string
Name?string
Key?string
Status?string
PageIndex?integer
The index of the page to be returned. Default is 0.
Format
int32PageSize?integer
The size of the page to be returned. Default is 10.
Format
int32Header Parameters
Organization?string
The organization ID associated with the request. Some APIs require this header to identify the organization context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.
Workspace?string
The workspace ID associated with the request. Some APIs require this header to identify the workspace context. When authenticating with an Access Token, this header is automatically populated from the token and does not need to be provided manually.
Response Body
application/json
curl -X GET "https://example.com/api/v1/envs/497f6eca-6276-4993-bfeb-53cbbbba6f08/experiment-metrics"{ "success": true, "errors": [ "string" ], "data": { "totalCount": 0, "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "envId": "d85839b9-a5c7-44cb-bab9-87315a911e73", "name": "string", "key": "string", "eventName": "string", "description": "string", "metricType": "string", "metricAgg": "string", "status": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "experimentUsage": [ { "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006", "experimentName": "string", "runs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "role": "string" } ] } ] } ] }}